package fxTavaranPaikka;

import fi.jyu.mit.fxgui.Dialogs;
import fi.jyu.mit.fxgui.ModalController;
import fi.jyu.mit.fxgui.ModalControllerInterface;
import javafx.fxml.FXML;
import javafx.scene.control.Button;

/**
 * @author lpjsilve, alilakj
 * @version 15.2.2024
 * Kontrolleri uuden tavaran lisäämiselle(ja mahdollisesti muokkaamiseksi).
 */
public class TavaranLisaysGUIController implements ModalControllerInterface<String>{
    @FXML private Button buttonPeruuta;

    @FXML void onActionPeruuta() {
        peruuta();
    }

    @FXML void onActionTallenna() {
        tallenna();
    }
    
    /*************koodi*************/
    
    @Override
    public String getResult() {
        return null;
    }

    @Override
    public void handleShown() {
        buttonPeruuta.requestFocus(); 
        
    }

    @Override
    public void setDefault(String arg0) {
        
    }
    
    
    /**
     * Suljetaan modaalinen ikkuna ja peruutetaan uuden tavaran luonti/lisäys.
     */
    public void peruuta() {
        ModalController.closeStage(buttonPeruuta);
    }
    
    
    /**
     * Tallennetaan luotu tavara.
     */
    public void tallenna() {
        Dialogs.showMessageDialog("Tallennetetaan! Mutta ei toimi vielä");
    }
}
